###########################################################################
library(foreign)
clothing = read.dta("clothing.dta" );
attach(clothing); 
  
N = nrow(clothing)
attach(clothing);

hist(tsales, 30, col = "blue")      # Histogram
#-------------------------------------------------------------------------------
# simple (univariate) regression of log tsales on log hoursw
y = log(tsales)
x = log(hoursw)

plot(x, y) 
N = length(y)

beta1.hat = cov(x,y)/var(x)
beta0.hat = mean(y)-beta1.hat*mean(x)
y.hat = beta0.hat+beta1.hat*x
plot(x, y)
abline( beta0.hat,beta1.hat, col="red")
e.y = y - y.hat
s2.hat = sum(e.y^2)/(N-2)
sqrt(s2.hat)
# alternatively this is obtained as 
regr1 = lm( y ~ x);
e.y = residuals(regr1)
#------------------------------------------------------------------------------
w = log(ssize)  # log of store size
## multiple regression model
regr = lm( y ~  x+w) 
summary(regr)   
gamma.hat = coefficients(mod)[3]  # OLS estimate
CovBeta = vcov(mod) # covariance matrix for model parameters  
CovBeta[3,3] # variance of gamma_hat
sqrt(CovBeta[3,3]) # std err of gamma_hat (compare with table)
#-------------------------------------------------------------------------------
# regress w on x and get the residuals 
b1.hat = cov(x,w)/var(x)
b0.hat  = mean(w)-b1.hat*mean(x)
w.hat = b0.hat+b1.hat*x # fitted values
e.w = w- w.hat          # residuals
# or more simply
regr2 = lm( w ~ x);
e.w = residuals(regr2)
# regress residuals    
summary(lm(e.y~e.w))      # OLS regression with intercept
gamma.hat = cov(e.w,e.y)/var(e.w)

 