###########################################################################
## LINEAR REGRESSION   							 
## The br.csv data are taken from Principles of Econometrics, by 
## Hill, Griffihs and Lim (Wiley, 2008). 
## 1080 observations on the prices and characteristics of houses sold 
## in Baton Rouge, LA 2005. The variables considered are:
## price sqft Bedrooms Baths Age Occupancy Pool Style Fireplace Waterfront DOM
## price, dollars 
## sqft		total square feet
## bedrooms	number of bedrooms
## baths		number of full baths
## age		age in years
## Occupancy	Owner = 1, Vacant = 2, Tenant = 3
## Pool		Yes = 1, No = 0   
## Style		Traditional = 1, Townhouse = 2, Ranch = 3, New Orleans = 4,
##          Mobile Home = 5, Garden = 6, French = 7, Cottage = 8, 
##          Contemporary = 9, Colonial = 10, Acadian = 11
## Fireplace	Yes = 1, No = 0	
## Waterfront	Yes =1, No = 0
## DOM		Days on the market
###########################################################################
br = read.table("br.csv", sep = ",", header=T) # reads the data from a csv file
attach(br)
y = price # y = log(price)
x = sqft  # x = log(sqft)
plot(x, y) 
N = length(y)

beta1.hat = cov(x,y)/var(x)
beta0.hat = mean(y)-beta1.hat*mean(x)
y.hat = beta0.hat+beta1.hat*x
plot(x, y)
abline( beta0.hat,beta1.hat, col="red")
e = y - y.hat
s2.hat = sum(e^2)/(N-2)
sqrt(s2.hat)
##
summary(lm(y~x))
#######################################################################
w = Age
mod = lm(y~x+w) 
summary(mod)
gamma.hat = coefficients(mod)[3]  # OLS estimate
CovBeta = vcov(mod) # covariance matrix for model parameters  
CovBeta[3,3] # variance of gamma_hat
sqrt(CovBeta[3,3]) # std err of gamma_hat (compare with table)
# regress w on x and get the residuals 
b1.hat = cov(x,w)/var(x)
b0.hat  = mean(w)-b1.hat*mean(x)
w.hat = b0.hat+b1.hat*x # fitted values
e.w = w- w.hat          # residuals
summary(lm(e~e.w))      # OLS regression of residuals
cov(e.w,e)/var(e.w)
 